<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: my_allocator&lt; T, N &gt;::iterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classmy__allocator.html">my_allocator</a></li><li class="navelem"><a class="el" href="classmy__allocator_1_1iterator.html">iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classmy__allocator_1_1iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">my_allocator&lt; T, N &gt;::iterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a867431d7b32c40ced59aab431f4db22c"><td class="memItemLeft" align="right" valign="top"><a id="a867431d7b32c40ced59aab431f4db22c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b> (int *p)</td></tr>
<tr class="separator:a867431d7b32c40ced59aab431f4db22c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7592b0a5d60995adbe77c3b9c99515c"><td class="memItemLeft" align="right" valign="top"><a id="ac7592b0a5d60995adbe77c3b9c99515c"></a>
int &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () const</td></tr>
<tr class="separator:ac7592b0a5d60995adbe77c3b9c99515c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9e63b30286f98ffb8a67321a30b0c28"><td class="memItemLeft" align="right" valign="top"><a id="ae9e63b30286f98ffb8a67321a30b0c28"></a>
<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:ae9e63b30286f98ffb8a67321a30b0c28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ac719f3b5e3d91c8c606e15da7474a"><td class="memItemLeft" align="right" valign="top"><a id="a02ac719f3b5e3d91c8c606e15da7474a"></a>
<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
<tr class="separator:a02ac719f3b5e3d91c8c606e15da7474a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c96ccb249813564612145924a44d7c"><td class="memItemLeft" align="right" valign="top"><a id="a42c96ccb249813564612145924a44d7c"></a>
<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
<tr class="separator:a42c96ccb249813564612145924a44d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980cd33a5033330c03ee340a15c35b69"><td class="memItemLeft" align="right" valign="top"><a id="a980cd33a5033330c03ee340a15c35b69"></a>
<a class="el" href="classmy__allocator_1_1iterator.html">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
<tr class="separator:a980cd33a5033330c03ee340a15c35b69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a27d0df37bd079bf4e62faa0b468b060c"><td class="memItemLeft" align="right" valign="top"><a id="a27d0df37bd079bf4e62faa0b468b060c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;lhs, const <a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;rhs)</td></tr>
<tr class="separator:a27d0df37bd079bf4e62faa0b468b060c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad2b3926ed1e2db6f22ca3117766181b"><td class="memItemLeft" align="right" valign="top"><a id="aad2b3926ed1e2db6f22ca3117766181b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;lhs, const <a class="el" href="classmy__allocator_1_1iterator.html">iterator</a> &amp;rhs)</td></tr>
<tr class="separator:aad2b3926ed1e2db6f22ca3117766181b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Allocator_8hpp_source.html">Allocator.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
